%global         momorel 2

Name:           perl-WWW-Wikipedia
Version:        1.94
Release:        %{momorel}m%{?dist}
Summary:        Automated interface to the Wikipedia
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/WWW-Wikipedia/
Source0:        http://www.cpan.org/modules/by-module/WWW/WWW-Wikipedia-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-libwww-perl
BuildRequires:  perl-Text-Autoformat
Requires:       perl-libwww-perl
Requires:       perl-Text-Autoformat
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
WWW::Wikipedia provides an automated interface to the Wikipedia
http://www.wikipedia.org, which is a free, collaborative, online
encyclopedia. This module allows you to search for a topic and return the
resulting entry. It also gives you access to related topics which are also
available via the Wikipedia for that entry.

%prep
%setup -q -n WWW-Wikipedia-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

#%check
#make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{_bindir}/*
%{perl_vendorlib}/WWW/Wikipedia*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.94-2m)
- rebuild against gcc43

* Tue Feb 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.94-1m)
- update to 1.94

* Wed Dec 12 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.93-1m)
- update to 1.93

* Mon Oct  1 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (1.92-2m)
- disable make test

* Mon Sep 24 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.92-1m)
- Specfile autogenerated by cpanspec 1.73 for Momonga Linux.
